# Dash Overlord
->Description of the project goes here<-

## 1. System dependencies
- ruby: v2.3.0
- elastic search v5

## 2. Installation
- Install **ruby**, **bundler** gem if needed;
- Install elastic search **brew install elasticsearch**;
- Run **bundle install** inside the "dash_lord/dash_overlord" folder.

## 3. Configuration
- Get the "dash_lord_configs.zip" from one of the guys;
- Unzip it next to the "dash_lord" folder;
- Run "./bin/setup_config_files.sh" inside the "dash_lord/dash_overlord" folder.

## 4. Database creation
* bundle exec rake systematize:create

## 5. Database initialization
* bundle exec rake systematize:migrate

## 6. How to run in development mode
- Make sure you went through the **Installation** **Configuration**, **Database creation** and **Database initialization** steps;
- Run **bundle exec rake dash_overlord:console** inside the "dash_lord/dash_overlord" folder.

## 7. How to run the test suite
- Run **bundle exec rspec** inside the "dash_lord/dash_overlord" folder.

## 8. Services (job queues, cache servers, search engines, etc.)
nothing for now.

## 9. Deployment instructions
nothing for now.
