lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'elasticord/version'

Gem::Specification.new do |gem|
  gem.name = "elasticord"
  gem.version = Elasticord::VERSION
  gem.license = "MIT"
  gem.authors = ["StreetBees Dev Team"]
  gem.email = "dev@streetbees.com"
  gem.summary = "Elastic search client"
  gem.description = "Elastic search client on top of elasticsearch gem"
  gem.homepage = "https://github.com/Streetbees/dashlord"

  gem.files = `git ls-files`.split($/)
  gem.executables = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_development_dependency 'rspec', '3.4.0'
  gem.add_development_dependency 'pry-byebug', '3.3.0'

  gem.add_runtime_dependency 'elasticsearch', '~> 5.0'
end
